Post the necessary fields for the API to update message status.

http
PUT https://services.leadconnectorhq.com/conversations/messages/{messageId}/status

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
messageIdstringYesve9EPM428h8vShlRW1KTMessage Id

Body

NameTypeRequiredExampleDescription
statusstringYesreadMessage status Possible values: 'delivered', 'failed', 'pending', 'read'
errorobjectNoError object from the conversation provider
emailMessageIdstringNove9EPM428h8vShlRW1KTEmail message Id
recipientsstring[]NoEmail delivery status for additional email recipients.

Responses

200 - Created the message
  • conversationId (string, required): Conversation ID. Example: ABC12h2F6uBrIkfXYazb

  • emailMessageId (string): This contains the email message id (only for Email type). Use this ID to send inbound replies to GHL to create a threaded email. Example: rnGyqh2F6uBrIkfhFo9A

  • messageId (string, required): This is the main Message ID Example: t22c6DQcTDf3MjRhwf77

  • messageIds (string[]): When sending via the GMB channel, we will be returning list of messageIds instead of single messageId.

  • msg (string): Additional response message when sending a workflow message Example: Message queued successfully.

  • forwardData (object): Optional metadata for forwarded email

  • status (string, required): Message status Possible values: 'delivered', 'failed', 'pending', 'read' Example: delivered

json
{
  "conversationId": "ABC12h2F6uBrIkfXYazb",
  "emailMessageId": "rnGyqh2F6uBrIkfhFo9A",
  "messageId": "t22c6DQcTDf3MjRhwf77",
  "messageIds": [
    "string"
  ],
  "msg": "Message queued successfully.",
  "forwardData": {
    "forwardWholeThread": false,
    "messageId": "t22c6DQcTDf3MjRhwf77",
    "emailMessageId": "rnGyqh2F6uBrIkfhFo9A",
    "forwardToEmail": "recipient@example.com",
    "recipientContactId": "DEF56h2F6uBrIkfXYacd"
  },
  "status": "delivered"
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}

Example

curl -X PUT 'https://services.leadconnectorhq.com/conversations/messages/YOUR_messageId/status' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "status": "read",
  "emailMessageId": "ve9EPM428h8vShlRW1KT",
  "recipients": [
    "string"
  ]
}'

Last updated October 26, 2026

Was this page helpful?